diff --git a/web/pgadmin/static/js/check_node_visibility.js b/web/pgadmin/static/js/check_node_visibility.js
index 73ce18f0..e7f9cdc5 100644
--- a/web/pgadmin/static/js/check_node_visibility.js
+++ b/web/pgadmin/static/js/check_node_visibility.js
@@ -18,27 +18,27 @@ define(['jquery', 'underscore', 'underscore.string'],
       // Target actual node instead of collection.
       // If node is disabled then there is no meaning of
       // adding collection node menu
-      if(S.startsWith(node_type, "coll-")) {
-        node_type = node_type.replace("coll-", "")
+      if(S.startsWith(node_type, 'coll-')) {
+        node_type = node_type.replace('coll-', '');
       }
 
       // Exclude non-applicable nodes
       var nodes_not_supported = [
-        "server_group", "server", "catalog_object_column"
+        'server_group', 'server', 'catalog_object_column',
       ];
       if(_.indexOf(nodes_not_supported, node_type) >= 0) {
         return true;
       }
 
-      var preference = pgBrowser.get_preference("browser", 'show_node_'+node_type);
+      var preference = pgBrowser.get_preference('browser', 'show_node_'+node_type);
 
       if (preference) {
-        return preference.value
+        return preference.value;
       }
       else {
         return true;
       }
-    }
+    };
 
-  return check_node_visibility;
-});
+    return check_node_visibility;
+  });
diff --git a/web/pgadmin/static/js/codemirror/addon/fold/pgadmin-sqlfoldcode.js b/web/pgadmin/static/js/codemirror/addon/fold/pgadmin-sqlfoldcode.js
index f0e9eccc..8adf864d 100644
--- a/web/pgadmin/static/js/codemirror/addon/fold/pgadmin-sqlfoldcode.js
+++ b/web/pgadmin/static/js/codemirror/addon/fold/pgadmin-sqlfoldcode.js
@@ -1,37 +1,47 @@
 (function(mod) {
-  if (typeof exports == "object" && typeof module == "object") // CommonJS
-    mod(require("codemirror"));
-  else if (typeof define == "function" && define.amd) // AMD
-    define(["codemirror"], mod);
+  if (typeof exports == 'object' && typeof module == 'object') // CommonJS
+    mod(require('codemirror'));
+  else if (typeof define == 'function' && define.amd) // AMD
+    define(['codemirror'], mod);
   else // Plain browser env
-    mod(CodeMirror);
+    mod(window.CodeMirror);
 })(function(CodeMirror) {
-  "use strict";
+  'use strict';
 
   CodeMirror.pgadminKeywordRangeFinder = function(cm, start, startTkn, endTkn) {
-    var line = start.line, lineText = cm.getLine(line);
-    var at = lineText.length, startChar, tokenType;
+    var line = start.line,
+      lineText = cm.getLine(line);
+    var at = lineText.length,
+      startChar, tokenType;
     for (; at > 0;) {
       var found = lineText.lastIndexOf(startTkn, at);
       var startToken = startTkn;
       var endToken = endTkn;
+
       if (found < start.ch) {
-        var found = lineText.lastIndexOf("[", at);
+        found = lineText.lastIndexOf('[', at);
         if (found < start.ch) break;
-        var startToken = '[';
-        var endToken = ']';
+        startToken = '[';
+        endToken = ']';
       }
 
       tokenType = cm.getTokenAt(CodeMirror.Pos(line, found + 1)).type;
-      if (!/^(comment|string)/.test(tokenType)) { startChar = found; break; }
+      if (!/^(comment|string)/.test(tokenType)) {
+        startChar = found;
+        break;
+      }
       at = found - 1;
     }
     if (startChar == null || lineText.lastIndexOf(startToken) > startChar) return;
-    var count = 1, lastLine = cm.lineCount(), end, endCh;
+    var count = 1,
+      lastLine = cm.lineCount(),
+      end, endCh;
     outer: for (var i = line + 1; i < lastLine; ++i) {
-      var text = cm.getLine(i), pos = 0;
+      var text = cm.getLine(i),
+        pos = 0;
       for (;;) {
-        var nextOpen = text.indexOf(startToken, pos), nextClose = text.indexOf(endToken, pos);
+        var nextOpen = text.indexOf(startToken, pos),
+          nextClose = text.indexOf(endToken, pos);
         if (nextOpen < 0) nextOpen = text.length;
         if (nextClose < 0) nextClose = text.length;
         pos = Math.min(nextOpen, nextClose);
@@ -48,8 +58,10 @@
       }
     }
     if (end == null || end == line + 1) return;
-    return {from: CodeMirror.Pos(line, startChar + startTkn.length),
-          to: CodeMirror.Pos(end, endCh)};
+    return {
+      from: CodeMirror.Pos(line, startChar + startTkn.length),
+      to: CodeMirror.Pos(end, endCh),
+    };
   };
 
   CodeMirror.pgadminBeginRangeFinder = function(cm, start) {
diff --git a/web/pgadmin/static/js/gettext.js b/web/pgadmin/static/js/gettext.js
index 780b60f3..8ccd3285 100644
--- a/web/pgadmin/static/js/gettext.js
+++ b/web/pgadmin/static/js/gettext.js
@@ -1,4 +1,4 @@
-define(["translations"], function (translations) {
+define(['translations'], function (translations) {
 
   /***
    * This method behaves as a drop-in replacement for flask translation rendering.
diff --git a/web/pgadmin/static/js/slickgrid/cell_selector.js b/web/pgadmin/static/js/slickgrid/cell_selector.js
index a709351e..60840a67 100644
--- a/web/pgadmin/static/js/slickgrid/cell_selector.js
+++ b/web/pgadmin/static/js/slickgrid/cell_selector.js
@@ -1,4 +1,4 @@
-define(["slickgrid"], function () {
+define(['slickgrid'], function () {
   var Slick = window.Slick;
 
   return function () {
@@ -10,9 +10,9 @@ define(["slickgrid"], function () {
             slickEvent.cell,
             slickEvent.row,
             slickEvent.cell
-          )
+          ),
         ]);
       });
-    }
-  }
+    };
+  };
 });
\ No newline at end of file
